Share a Dataflow to multiple Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /sharedDataflowToGroup/{dataflowId}

Share a Dataflow to multiple Users by the owner

Path parameters

  • dataflowId string Required

    id of the Dataflow

application/json

Body

  • _id string

    id of the shared User

  • name string

    username of the shared User

  • success number

    success is 1 when request is completed

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • success number

      success is 1 when request is completed

POST /sharedDataflowToGroup/{dataflowId}
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/sharedDataflowToGroup/{dataflowId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '[
  {
    "name": "john_qatest",
    "_id": "5684058f159fffbe29ff9912",
    "expiredTime": 24
  },
  {
    "name": "john2_qatest",
    "_id": "5684058f159fffbe29ff9323",
    "expiredTime": 24
  }
]'
Request example
[
  {
    "name": "john_qatest",
    "_id": "5684058f159fffbe29ff9912",
    "expiredTime": 24
  },
  {
    "name": "john2_qatest",
    "_id": "5684058f159fffbe29ff9323",
    "expiredTime": 24
  }
]
Response examples (200)
{
  "success": 1
}